interactions:
- request:
    body: '{"type": "new", "email": "email@email.com", "address": {"street": "Carrer",
      "zip_code": "08001", "city": "Barcelona", "state": "C", "country": "ES"}, "lang":
      "ca_ES", "iban": "ESXXXXX", "vat": "2123", "payment_type": "single", "nationality":
      "ES", "discovery_channel_id": 2, "birthdate": "1992-05-03", "is_company": false,
      "name": "Name Surname Lastname", "firstname": "Name", "lastname": "Surname Lastname",
      "gender": "male"}'
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '426'
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: POST
    uri: http://odoo-sc.local:8069/api/subscription-request/create
  response:
    body:
      string: '{"id": 1107, "name": "Name Surname Lastname", "email": "email@email.com",
        "state": "draft", "date": "2021-10-06", "ordered_parts": 1, "address": {"street":
        "Carrer", "zip_code": "08001", "city": "Barcelona", "country": "ES"}, "lang":
        "ca_ES", "capital_release_request": []}'
    headers:
      Access-Control-Allow-Methods:
      - POST
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '273'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Wed, 06 Oct 2021 15:51:51 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
- request:
    body: '{"iban": "ESXXXXX", "lead_line_ids": [{"product_code": "SE_SC_REC_BA_ADSL_100",
      "type": "broadband", "broadband_isp_info": {"type": "portability", "service_address":
      {"street": "Carrer", "city": "Barnalona", "zip_code": "08001", "state": "CA",
      "country": "ES"}, "previous_provider": 3, "delivery_address": {"street": "Carrer",
      "city": "Barnalona", "zip_code": "08001", "state": "CA", "country": "ES"}, "previous_service":
      "adsl", "phone_number": "699111333"}}], "subscription_request_id": 1107}'
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '494'
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: POST
    uri: http://odoo-sc.local:8069/api/crm-lead/create
  response:
    body:
      string: '{"id": 2749}'
    headers:
      Access-Control-Allow-Methods:
      - POST
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '12'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Wed, 06 Oct 2021 15:51:52 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
version: 1
